package scylladb

import (
	"github.com/scylladb/gocqlx/v2/table"
)

var (
	WebSocketSessions = table.New(table.Metadata{
		Name: "ws_sessions",
		Columns: []string{
			"id",
			"user_id",
			"user_agent",
			"ip",
			"last_used",
			"created_at"},
		PartKey: []string{"id"},
	})
)
